Subject: [v6ops] Genart last call review of draft-ietf-v6ops-transition-ipv4aas-12

From: Matthew Miller <[email-masked]>
Date: Wed, 02 Jan 2019 19:29:43 -0800

Reviewer: Matthew Miller
Review result: Ready with Nits

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-v6ops-transition-ipv4aas-12
Reviewer: Matthew A. Miller
Review Date: 2019-01-02
IETF LC End Date: 2018-12-14
IESG Telechat date: 2019-01-10

Summary:  This document is ready to be published as Informational,
but has some nits that should be addressed before publication.

Major issues: N/A

Minor issue:

There are some instances within the main content that RFC 2119
keywords are present as lower case. If these are intentional, then
RFC 8174 needs to be applied.

Nits/editorial comments: 

* In section 1. "Introduction" (and its subsections), the term "IPv6
Transition CE Router" is not preceded with a definite or indefinite
article, although it is throughout the rest of this document.
* In section 1. "Introduction", the phrase "prohibitive expense"
ought to be "prohibitively expensive".
* In section 7. "Code Considerations", the word "neither" might be
better as "nor" in the phrase "in terms of RAM memory, neither
other hardware requirements".
* In section 7. "Code Considerations", there seems to be a misplaced
coma; "cost of NAT44 code so, existing hardware supports them with
minimal impact" reads better as "cost of NAT44 code, so existing
hardware supports them with minimal impact".
* In section 11. "Annex A: Usage Scenarios", the comma seems
unneeded in the phrase "another CE behind it, takes care of that".
* In section 12. "Annex B: End-User Network Architecture", the
term "end-user" should be used consistently, it is sometimes
"end user".

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Mon, 07 Jan 2019 12:15:13 +0100

Hi Matthew,

Thanks for your review!

We are using a special language, not RFC2119 (used in RFC7084). Anyway, I will make a note to reflect your input.

I will also correct the other nits you mention.

Regards,
Jordi

-----Mensaje original-----
De: v6ops <[email-masked]> en nombre de Matthew Miller <[email-masked]>
Fecha: jueves, 3 de enero de 2019, 4:31
Para: <[email-masked]>
CC: <[email-masked]>, <[email-masked]>, <[email-masked]>
Asunto: [v6ops] Genart last call review of draft-ietf-v6ops-transition-ipv4aas-12

    Reviewer: Matthew Miller

    

    
    Major issues: N/A
    
    Minor issue:

    Nits/editorial comments: 

    _______________________________________________
    v6ops mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/v6ops

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.theipv6company.com
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.

---

From: Alissa Cooper <[email-masked]>
Date: Thu, 10 Jan 2019 09:41:17 -0500

Matt, thanks for your review. Jordi, thanks for your responses. I entered a DISCUSS ballot concerning the use of capitalized keywords.

Alissa

> On Jan 2, 2019, at 10:29 PM, Matthew Miller <[email-masked]> wrote:
> 
> Reviewer: Matthew Miller
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art